# Class StyleSheet.ListPainter

java.lang.Object
javax.swing.text.html.StyleSheet.ListPainter

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `StyleSheet`

public static final class StyleSheet.ListPainter extends Object implements Serializable
Class to carry out some of the duties of CSS list formatting. Implementations of this class enable views to present the CSS formatting while not knowing anything about how the CSS values are being cached.

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(Graphics g, float x, float y, float w, float h, View v, int item)`
Paints the CSS list decoration according to the attributes given.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### paint

public void paint(Graphics g, float x, float y, float w, float h, View v, int item)
Paints the CSS list decoration according to the attributes given.

Parameters:
  `g` - the rendering surface.
  `x` - the x coordinate of the list item allocation
  `y` - the y coordinate of the list item allocation
  `w` - the width of the list item allocation
  `h` - the height of the list item allocation
  `v` - the allocated area to paint into.
  `item` - which list item is being painted. This is a number greater than or equal to 0.